> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# API карты мошеннической сети

> Didit позволяет получить географические точки, в которых сходятся адреса и местоположения участников мошеннической сети.



Промпт для API карты сети
        Скопировать промпт в буфер обмена



      
      

\<pre>

\`Retrieve a fraud network's geographic footprint through the Management API.

Endpoint:
GET https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/networks/{network_uuid}/map/

Authentication:
Use the x-api-key header with my Didit API key.

Path parameter:
\- network_uuid - the network's UUID.

Response 200: NetworkMap - { network: NetworkDetail, convergence_count: int, countries: [string, ...], points: [{uuid, country, country_code, city, latitude, longitude, observed_at}, ...] }.
Points are sourced from the sessions, business sessions, and transactions backing the network's memberships (IP geolocation and proof-of-address data).

Failure modes:
\- 404 - network not found or not visible.
\- 401/403 - auth/permission errors.

Side effects: none, pure read.

For the full integration shape, see /integration/integration-prompt.`

\</pre>



      
      

Вставьте в

Получите географические точки, в которых сходятся участники этой сети, по одной записи на каждое наблюдаемое местоположение. `convergence_count` показывает число различных точек, в которых сходятся несколько участников. Это полезно для выявления сети, привязанной к одному адресу или городу, даже если её участники в остальном не связаны между собой. Этот endpoint обеспечивает работу карты сети в Консоли.## Связанные материалы- [Получить сеть](https://docs.didit.me/ru/management-api/networks/get.md)
- [Хронология сети](https://docs.didit.me/ru/management-api/networks/timeline.md)
- [Участники сети](https://docs.didit.me/ru/management-api/networks/members.md)


## OpenAPI

````yaml ru/openapi-25.json GET /v3/organization/{organization_id}/application/{application_id}/networks/{network_uuid}/map/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: >-
    API верификации личности. Аутентификация выполняется с помощью заголовка
    x-api-key.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/organization/{organization_id}/application/{application_id}/networks/{network_uuid}/map/:
    get:
      tags:
        - Networks
      summary: Получить карту сети
      description: >-
        Географические точки, в которых сходятся адреса и местоположения
        участников этой сети, полученные из сессий, бизнес-сессий и транзакций,
        лежащих в основе их членства.
      operationId: get_network_map
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID организации.
        - name: application_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID приложения.
        - name: network_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            example: n3a5e000-0000-4000-8000-000000000001
          description: UUID сети.
      responses:
        '200':
          description: Карта сети.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkMap'
        '404':
          description: Сеть не найдена (или не видна этому приложению).
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: curl
          label: curl
          source: >-
            curl -X GET
            'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/networks/n3a5e000-0000-4000-8000-000000000001/map/'
            \
              -H 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            client = Didit()

            result = client.networks.retrieve_map(
                "n3a5e000-0000-4000-8000-000000000001",
            )
            print(result)
        - lang: javascript
          label: Node.js
          source: >-
            import Didit from "@didit-protocol/sdk-node";


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            const didit = new Didit();


            const result = await
            didit.networks.retrieveMap("n3a5e000-0000-4000-8000-000000000001");

            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID\n// and DIDIT_APPLICATION_ID.\nclient := didit.NewClient()\n\nresult, err := client.Networks.RetrieveMap(ctx, \"n3a5e000-0000-4000-8000-000000000001\")\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: >-
            import me.didit.Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            Didit client = new Didit();


            var result =
            client.networks().retrieveMap("n3a5e000-0000-4000-8000-000000000001");

            System.out.println(result);
        - lang: php
          label: PHP
          source: >-
            <?php


            require 'vendor/autoload.php';


            use Didit\DiditClient;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            $didit = new DiditClient();


            $result =
            $didit->networks->retrieveMap('n3a5e000-0000-4000-8000-000000000001');

            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: >-
            require "didit"


            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            # and DIDIT_APPLICATION_ID.

            didit = Didit::Client.new


            result =
            didit.networks.retrieve_map("n3a5e000-0000-4000-8000-000000000001")

            puts result.to_h
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            using var client = new DiditClient();


            var result = await
            client.Networks.RetrieveMapAsync("n3a5e000-0000-4000-8000-000000000001");

            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    NetworkMap:
      type: object
      properties:
        network:
          $ref: '#/components/schemas/NetworkDetail'
        convergence_count:
          type: integer
          description: >-
            Количество различных адресов или точек местоположения, в которых
            сходятся участники.
        countries:
          type: array
          items:
            type: string
        points:
          type: array
          items:
            type: object
            properties:
              uuid:
                type: string
                format: uuid
              country:
                type: string
                nullable: true
              country_code:
                type: string
                nullable: true
              city:
                type: string
                nullable: true
              latitude:
                type: number
                format: float
                nullable: true
              longitude:
                type: number
                format: float
                nullable: true
              observed_at:
                type: string
                format: date-time
                nullable: true
    NetworkDetail:
      allOf:
        - $ref: '#/components/schemas/NetworkListItem'
        - type: object
          properties:
            stats:
              type: object
              description: >-
                Агрегированная статистика по сети (например, общее количество
                участников).
            fraud_tags:
              type: array
              items:
                type: object
              description: Теги паттернов мошенничества, выявленные в сети.
            risk_signals:
              type: object
              description: >-
                Сводка сигналов риска: residential_proxy_reuse,
                email_intelligence, phone_intelligence.
            reviewed_at:
              type: string
              format: date-time
              nullable: true
            reviewed_by:
              type: string
              nullable: true
            review_reason:
              type: string
              nullable: true
      properties:
        notes_count:
          type: integer
          minimum: 0
          readOnly: true
          description: Количество приватных заметок аналитика в этом расследовании.
    NetworkListItem:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        network_id:
          type: string
          description: >-
            Понятный человеку порядковый идентификатор в рамках организации,
            например N-0001.
        name:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - active
            - in_review
            - resolved
            - dismissed
          description: >-
            Статус жизненного цикла сети. Отличается от outcome_status по
            заявителям внутри сети (approved/in_review/declined/not_completed).
        risk:
          $ref: '#/components/schemas/NetworkRiskDisplay'
        pattern_types:
          type: array
          items:
            type: string
            enum:
              - exact_same_device
              - similar_device
              - same_ip_address
              - same_address
              - similar_selfie_backgrounds
              - similar_poa_documents
              - same_document_number
              - same_phone_number
              - same_email
          description: Паттерны кластеризации, обнаруженные в этой сети.
        signal_types:
          type: array
          items:
            type: string
            enum:
              - ip_address
              - device
              - face
              - document_number
              - phone
              - email
              - address
          description: Уникальные типы сигналов, присутствующие в этой сети.
        member_counts:
          type: object
          description: >-
            Количество участников по категориям (например, всего, по
            outcome_status).
        member_status:
          type: object
          description: Разбивка участников по outcome_status.
        signal_coverage:
          type: object
          description: Охват участников этой сети по signal_type.
        first_activity_at:
          type: string
          format: date-time
          nullable: true
        last_activity_at:
          type: string
          format: date-time
          nullable: true
    NetworkRiskDisplay:
      type: object
      properties:
        score:
          type: integer
          description: Оценка риска, 0-100.
        band:
          type: string
          enum:
            - low
            - medium
            - high
          description: >-
            Диапазон, в котором отображается оценка. high >= 70, medium >= 40,
            иначе low.
        bar:
          type: number
          format: float
          description: Нормализованное значение от 0 до 1 для отображения шкалы риска.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API-ключ вашего приложения из раздела «Разработчикам» -> «API-ключи» в
        Business Console. Основной ключ имеет полный доступ. Именованный ключ
        может иметь ограниченную область действия: без доступа, чтение или
        запись для каждого ресурса, ограничение определенными сценариями или
        одобренными сессиями, списком IP-адресов и сроком действия. 401
        означает, что ключ неверен, отозван или его срок действия истек; 403
        означает, что ключ не был передан, у ключа нет доступа к этому ресурсу
        или действию, либо запрос поступил с адреса вне его списка IP-адресов;
        404 на маршруте сессии означает, что сессия не входит в сценарии или
        статусы ключа. Ключ без доступа к медиа получает URL изображений, видео
        и PDF как null, а ключ без прав на запись сессий получает ссылки на
        сессии и токены как null. См. https://docs.didit.me/console/api-keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.